<template>
  <el-dropdown
    size="medium"
  >
    <el-button
      :type="disabled ? '' : primary"
    >
      <el-icon v-if="model != null"><component :is="model.icon" /></el-icon>
      <el-icon class="el-icon--right"><arrow-down /></el-icon>
    </el-button>
    <template #dropdown>
      <el-dropdown-menu>
        <el-dropdown-item
          :disabled="disabled"
          v-for="h in tools"
          @click="model = h"
        >
          <el-icon><component :is="h.icon" /></el-icon>
        </el-dropdown-item>
      </el-dropdown-menu>
    </template>
  </el-dropdown>
</template>
<script setup>
  import {useTools} from '@composables/map-tools.js'
  const {tools} = useTools()

  const model = defineModel({
    type: Object,
  })

</script>